related to TSconfig - Task # 47749: Update documentation of options.clearCach... New 2013-04-30

Associated revisions
Revision 5e11f50c - 2013-09-26 23:45 - Christian Kuhn

[TASK] Remove "Clear language cache" menu item

    -  To show the item, SYS/lang/cache/clear_menu has to be manually
enabled, and a (not documented) userTSconfig option must be set.

    -  The item never worked since the underlying LanguageCacheClearer
class expects an array with cacheCmd set to either "all" or
"temp_cached", that is not set in the according AJAX call of the
menu action.

    -  Class LanguageCacheClearer hooks into DataHandler and is only
triggered on clear "all" cache.

    -  Clearing "all" cache flushes all caches anyway, so the hook
currently triggers flushing the language cache a second time.

    -  SYS/lang/cache/lifetime is unused and can be removed.

Since the functionality is broken, not documented, obsolete and
"internal" code of ext:lang, the whole thing is removed without
further deprecation.

Change-Id: Ic0d19bf31109832c9ed88d81d883516c109cf47e
Resolves: #52312
Releases: 6.2
Reviewed-on: https://review.typo3.org/24077
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-09-26 19:03 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24077

#2 - 2013-09-26 21:47 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24077

#3 - 2013-09-26 22:38 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24077

#4 - 2013-09-27 00:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5e11f50cdf85b834acd9d44094b2319958b05e7c.
